From 4fc85b362fa76b2b780315ff4517e7179bf62c01 Mon Sep 17 00:00:00 2001
From: Chris Adams <chris.adams@qinetic.com.au>
Date: Thu, 15 Oct 2020 18:17:25 +1000
Subject: [PATCH 18/32] Remove invalid method overload which confuses the QML
 engine

Related to QTBUG-87616

Change-Id: I4752364d85fb1057e5778e14ba4576815e6246e3
Reviewed-by: Pekka Vuorela <pvuorela@iki.fi>
Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 .../organizer/qdeclarativeorganizermodel.cpp  | 20 -------------------
 .../organizer/qdeclarativeorganizermodel_p.h  |  1 -
 2 files changed, 21 deletions(-)

diff --git a/src/imports/organizer/qdeclarativeorganizermodel.cpp b/src/imports/organizer/qdeclarativeorganizermodel.cpp
index b1420e0b..c2e17406 100644
--- a/src/imports/organizer/qdeclarativeorganizermodel.cpp
+++ b/src/imports/organizer/qdeclarativeorganizermodel.cpp
@@ -1350,26 +1350,6 @@ void QDeclarativeOrganizerModel::removeItems(const QStringList& ids)
     req->start();
 }
 
-/*!
-  \qmlmethod OrganizerModel::removeItems(list<OrganizerItem> items)
-  Removes asynchronously the organizer items in the given \a items list from the backend.
-  */
-void QDeclarativeOrganizerModel::removeItems(const QList<QDeclarativeOrganizerItem> &items)
-{
-    Q_D(QDeclarativeOrganizerModel);
-    QOrganizerItemRemoveRequest* req = new QOrganizerItemRemoveRequest(this);
-    req->setManager(d->m_manager);
-    QList<QOrganizerItem> ois;
-
-    for (int i = 0; i < items.size(); i++) {
-        ois.append(items[i].item());
-    }
-
-    req->setItems(ois);
-    connect(req, SIGNAL(stateChanged(QOrganizerAbstractRequest::State)), this, SLOT(onRequestStateChanged(QOrganizerAbstractRequest::State)));
-    req->start();
-}
-
 /*!
     \internal
  */
diff --git a/src/imports/organizer/qdeclarativeorganizermodel_p.h b/src/imports/organizer/qdeclarativeorganizermodel_p.h
index d04a6357..ea50d23f 100644
--- a/src/imports/organizer/qdeclarativeorganizermodel_p.h
+++ b/src/imports/organizer/qdeclarativeorganizermodel_p.h
@@ -142,7 +142,6 @@ public:
     Q_INVOKABLE void removeItem(const QString& id);
     Q_INVOKABLE void removeItem(QDeclarativeOrganizerItem *item);
     Q_INVOKABLE void removeItems(const QStringList& ids);
-    Q_INVOKABLE void removeItems(const QList<QDeclarativeOrganizerItem> &items);
     Q_INVOKABLE void saveItem(QDeclarativeOrganizerItem* item);
     Q_INVOKABLE int fetchItems(const QStringList &itemIds);
     Q_INVOKABLE int fetchItems(const QDateTime &start, const QDateTime &end,
-- 
2.30.2

